/*
 * spi.h
 *
 *  Created on: Nov 16, 2015
 *      Author: Philipp Hinz
 */

#ifndef SPI_H_
#define SPI_H_
#include <inttypes.h>

uint8_t spi_readwrite(uint8_t data);
void spi_init(void);
void shift_init(void);
void shift_data(uint8_t data);

#define SHIFT_SCLR	21 // ~Master Reset
#define SHIFT_RCK	22 // storage register clock input
#define SHIFT_G		26 // ~Output Enable


#endif /* SPI_H_ */
